{% load static %}

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
        <title>Quiz </title>

    <!-- Js part  -->
    <script src="{% static '/js/script.js' %}" ></script>

    <!-- CSS part  -->
    <link rel="stylesheet" type="text/css" href="{% static '/css/style.css' %}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

    <!-- Bootstrap js -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>


</head>

<!-- fill all the body into grey color (#f0f0f0)  -->
<body style="background-color:#f0f0f0">

<!-- Create a bootstrap header  -->
<nav class="navbar navbar-default navbar-fixed-top">
    <div class="container">
        <a class="navbar-brand" href="/home"> <font color="#8b0000">HOME</font> </a>
        <ul class="nav navbar-nav navbar-right">
            {% if user.is_authenticated %}
                <!-- User is loged  -->
              <div class="navbar-brand" >Welcome  {{ user.get_username }}.</div>
              <div class="navbar-brand" > score : {{ SCORE }}</div>
              <li class="list-group-item"><a href="/home/logout/">LOGOUT </a></li>
           {% else %}
                <!-- Visitor, user is not loged  -->
              <div class="navbar-brand" > Welcome   new user.</div>
              <li class="list-group-item"><a href="/login/">LOGIN </a></li>
              <li class="list-group-item" ><a href="/register/">REGISTER</a></li>
          {% endif %}
      </ul>
  </div>
</nav>

<hr>

<center>
    <br><br>
    <!-- Load question  -->
    {% for onequestion in questions %}
        <!-- Question type if it's component or microscopy  -->
        {% if onequestion.type == question_type %}
        <!-- thequestion and question_part  in the css file -->
            <div class="thequestion"> Question <!--{{ onequestion.questionid }}-->   </div>
                <div class="question_part">
                    <h2> {{ onequestion.question }}</h2>

                    <!-- Load ramdom picture -->
                    {% for oneimage in images %}
                        {% for x in img_x_list %}
                            {% if  x  == oneimage.id %}
                                <img src="{% static  oneimage.image  %}" alt="{{ oneimage.image }}"  width="250" height="250">
                            {% endif %}
                        {% endfor %}
                    {% endfor %}

                    <!-- Load anwser  -->
                    <!-- anwser_part in the css file -->
                    <div class="anwser_part">
                        {% for oneanwser in anwsers %}
                            <!-- if onequestion and oneanwser have the save id thus it's the right question with the right anwsers  -->
                            {% if onequestion.questionid == oneanwser.questionid %}
                                <!-- Loead a specific number of anwser   --> 
                                {% if oneanwser.id > x and oneanwser.id < y  or oneanwser.questionid == 1 %}
                                    <div class="radio">
                                        <label> <input type="radio" id="options" name="name" 
                                            value="{{ oneanwser.answer }}"> {{ oneanwser.answer }}</label>
                                    </div>
                                {% endif %}
                            {% endif %}
                        {% endfor %}
                        <br>
                    </div>

                <!-- Button valid anwser save the anwsers from the checkbox  thank to saveanwser  -->
                <!-- button1 in the css file  saveanwser in the js file -->
                <button class="button1" id="saveanwser"> Valid anwser</button>
         </div>

<!-- Button submit send the user into the result page   -->     
    <div class="submitanwser">
        <!-- Question type if it's component or microscopy  -->
        {% for onequestion in questions %}
            {% if onequestion.type == question_type %}
                <!-- button2 in the css file -->
                <a href="/result/{{ question_type }}"> <button class="button2" > Submit </button></a>
            {% endif %}
        {% endfor %}
    </div>
    {% endif %}
 {% endfor %}

</body>
</html>